Bug 17477 - Duplicating a subfield yields an empty subfield tag
Summary: Duplicating a subfield yields an empty subfield tag
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 16.05
Hardware: All All
: P5 - low major (vote)
Assignee: Héctor Eduardo Castro Avalos
QA Contact: Testopia
URL:
Keywords:
Depends on: 17152
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-20 14:09 UTC by Tomás Cohen Arazi
Modified: 2019-06-27 09:24 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
No subfield tag (17.12 KB, image/png)
2016-10-20 14:10 UTC, Tomás Cohen Arazi
Details
Bug 17477 - Duplicating a subfield yields an empty subfield tag (1.42 KB, patch)
2016-10-20 15:02 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 17477: Duplicating a subfield yields an empty subfield tag (1.47 KB, patch)
2016-10-20 15:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17477: Duplicating a subfield yields an empty subfield tag (1.52 KB, patch)
2016-10-21 14:12 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-10-20 14:09:55 UTC
Bug 17152 made the subfield cloning function delete the contents of the cloned subfield. But it makes the subfield tag empty too, and this is causing troubles for people re-opening the records for edition.
Comment 1 Tomás Cohen Arazi 2016-10-20 14:10:20 UTC
Created attachment 56697 [details]
No subfield tag
Comment 2 Tomás Cohen Arazi 2016-10-20 14:12:29 UTC
Steps to reproduce:
- On the cataloging screen, create a new record
- Go to the 5xx fields
- Put something on the 521$a subfield
- Clone the subfield
=> FAIL: The subfield correctly doesn't include the original data, BUT it doesn't have the subtield tag either.
Comment 3 Héctor Eduardo Castro Avalos 2016-10-20 15:02:18 UTC
Created attachment 56700 [details] [review]
Bug 17477 - Duplicating a subfield yields an empty subfield tag

The problem only when clone a textareas in 5XX

Steps to reproduce error:
- On the cataloging screen (basic screen), create a new record
- Go to the 5xx fields
- Put something on the 521$a subfield or other textareas (e.g. 520$u or
 583$x)
- Clone the subfield
=> FAIL: The subfield correctly doesn't include the original data,
BUT it doesn't have the subtield tag either.

- Apply patch
- Clean cache browser and reload page
- Repeat steps above
- Verify that works as expected
Comment 4 Tomás Cohen Arazi 2016-10-20 15:19:54 UTC
Created attachment 56704 [details] [review]
Bug 17477: Duplicating a subfield yields an empty subfield tag

The problem only when clone a textareas in 5XX

Steps to reproduce error:
- On the cataloging screen (basic screen), create a new record
- Go to the 5xx fields
- Put something on the 521$a subfield or other textareas (e.g. 520$u or
 583$x)
- Clone the subfield
=> FAIL: The subfield correctly doesn't include the original data,
BUT it doesn't have the subtield tag either.

- Apply patch
- Clean cache browser and reload page
- Repeat steps above
- Verify that works as expected

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Kyle M Hall 2016-10-21 14:12:47 UTC
Created attachment 56722 [details] [review]
Bug 17477: Duplicating a subfield yields an empty subfield tag

The problem only when clone a textareas in 5XX

Steps to reproduce error:
- On the cataloging screen (basic screen), create a new record
- Go to the 5xx fields
- Put something on the 521$a subfield or other textareas (e.g. 520$u or
 583$x)
- Clone the subfield
=> FAIL: The subfield correctly doesn't include the original data,
BUT it doesn't have the subtield tag either.

- Apply patch
- Clean cache browser and reload page
- Repeat steps above
- Verify that works as expected

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2016-10-21 14:21:20 UTC
Pushed to master for 16.11, thanks Hector!

Kyle
Comment 7 Frédéric Demians 2016-10-22 12:57:28 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 8 Julian Maurice 2016-10-24 10:37:10 UTC
Pushed in 3.22.x, will be in 3.22.12